Class OidcProviderNativeProps.Builder
java.lang.Object
software.amazon.awscdk.services.eks.v2.alpha.OidcProviderNativeProps.Builder
- All Implemented Interfaces:
software.amazon.jsii.Builder<OidcProviderNativeProps>
- Enclosing interface:
OidcProviderNativeProps
@Stability(Deprecated)
@Deprecated
public static final class OidcProviderNativeProps.Builder
extends Object
implements software.amazon.jsii.Builder<OidcProviderNativeProps>
Deprecated.
A builder for
OidcProviderNativeProps-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionbuild()Deprecated.removalPolicy(RemovalPolicy removalPolicy) Deprecated.Deprecated.
-
Constructor Details
-
Builder
public Builder()Deprecated.
-
-
Method Details
-
url
Deprecated.Sets the value ofOpenIdConnectProviderProps.getUrl()- Parameters:
url- The URL of the identity provider. This parameter is required. The URL must begin with https:// and should correspond to the iss claim in the provider's OpenID Connect ID tokens. Per the OIDC standard, path components are allowed but query parameters are not. Typically the URL consists of only a hostname, like https://server.example.org or https://example.com.You can find your OIDC Issuer URL by: aws eks describe-cluster --name %cluster_name% --query "cluster.identity.oidc.issuer" --output text
- Returns:
this
-
removalPolicy
@Stability(Deprecated) @Deprecated public OidcProviderNativeProps.Builder removalPolicy(RemovalPolicy removalPolicy) Deprecated.Sets the value ofOpenIdConnectProviderProps.getRemovalPolicy()- Parameters:
removalPolicy- The removal policy to apply to the OpenID Connect Provider.- Returns:
this
-
build
Deprecated.Builds the configured instance.- Specified by:
buildin interfacesoftware.amazon.jsii.Builder<OidcProviderNativeProps>- Returns:
- a new instance of
OidcProviderNativeProps - Throws:
NullPointerException- if any required attribute was not provided
-